djot-0.1.4: Parser and renderer for djot light markup syntax.

Safe Haskell | None
Language | Haskell2010

Djot.Djot

# Documentation

renderDjot :: RenderOptions -> Doc -> Doc Text Source #

newtype RenderOptions Source #

Constructors

RenderOptions |

Fields

- preserveSoftBreaks :: Bool

  Preserve soft breaks as in the source

#### Instances

Instances details

Show RenderOptions Source # |
Instance details Defined in Djot.Options Methods showsPrec :: Int -> RenderOptions -> ShowS Source # show :: RenderOptions -> String Source # showList :: [RenderOptions] -> ShowS Source #